#!/bin/bash
export PATH="/opt/puppetlabs/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"

apt-get update > /dev/null 2>&1

echo "Building module"
puppet module build /tmp/src

echo "Installing module"
puppet module install /tmp/src/pkg/*.tar.gz

echo "Testing module"
/opt/puppetlabs/bin/puppet apply /tmp/src/tests/python.pp
EXIT=$?

echo "Exit status:"
echo ${EXIT}

if [ $EXIT == 0 ]; then
  cp -av /tmp/src/pkg/*.tar.gz /mnt/pkg
fi
